#!/bin/sh

# This script is the entrypoint of the challenge container

tar -xzf challenge.tar.gz && cd challenge

if [ -z "${INIT_NODES}" ]; then
  echo "The INIT_NODES environment variable is not set."
else
  echo $INIT_NODES | tr ' ' '\n' > detee_challenge_nodes
fi

occlum run /bin/hacker-challenge
